%define url_ver %(echo %{version}|cut -d. -f1,2)

%define build_dvi 1
%{?_without_build_dvi: %global build_dvi 0}
%{?_with_build_dvi: %global build_dvi 1}

%define build_epub 1
%{?_without_build_epub: %global build_epub 0}
%{?_with_build_epub: %global build_epub 1}

%define major 3
%define api 1.5.0
%define girname     %mklibname %{name}-gir %{api}
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname -d %{name}

Summary:    MATE Document viewer
Name:       atril
Version:    1.18.0
Release:    %mkrel 1
License:    GPLv2+ and GFDL
URL:        http://mate-desktop.org/
Group:      Graphical desktop/MATE
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(cairo) >= 1.9.10
BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.17
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6
BuildRequires:  pkgconfig(libcaja-extension) >= 1.17.1
BuildRequires:  pkgconfig(libspectre) >= 0.2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  pkgconfig(poppler-glib) >= 0.22.0
BuildRequires:  pkgconfig(sm) >= 1.0.0
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(libsecret-1) >= 0.5
BuildRequires:  pkgconfig(mate-desktop-2.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libt1lib-devel
BuildRequires:  ghostscript
BuildRequires:  itstool
BuildRequires:  mate-common >= 1.17.0
BuildRequires:  xsltproc
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(gail-3.0) >= 3.14.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
%if %{build_epub}
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.4.3
%endif
%if %{build_dvi}
#gw just like xdvi, needed for rendering the fonts
BuildRequires:  kpathsea-devel
%endif

Requires:    ghostscript
Requires:    ghostscript-module-X
# for org.mate.lockdown schema
Requires:    mate-desktop-schemas >= 1.7.0
Obsoletes:   mate-document-viewer < 1.16.0
Obsoletes:   %{name} < 1.16.0
Conflicts:   %{_lib}atril3 < 1.16.0

%description
Atril is the MATE Document viewer.
Its supports Portable Document Format (PDF),
PostScript (PS), Encapsulated PostScript (EPS),
DVI, DJVU and XPS formats.

%if %{build_dvi}
%package dvi
Summary:  TeX DVI document support for atril
Group:    Graphical desktop/MATE
#gw just like xdvi, needed for rendering the fonts
Requires: texlive
Requires: %{name} = %{version}-%{release}
Obsoletes: mate-document-viewer-dvi < 1.16.0

%description dvi
This package adds support for displaying .dvi files to atril.
These files are produced by TeX, often using
a macro package like LaTeX.
%endif

%package -n %{libname}
Group:    System/Libraries
Summary:  MATE Document viewer library
Obsoletes: %{_lib}mate-document-viewer3 < 1.16.0

%description -n %{libname}
This is the MATE Document viewer library, the shared parts of %{name}.

%package -n %{girname}
Summary:  GObject Introspection interface description for %{name}
Group:    System/Libraries
Requires: %{libname} = %{version}
Obsoletes: %{_lib}mate-document-viewer-gir1.5.0 < 1.16.0

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %{develname}
Group:    Development/C
Summary:  MATE Document viewer library
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
# Needed for smooth transition from old name
Obsoletes: %{_lib}mate-document-viewer-devel < 1.16.0

%description -n %{develname}
This is the MATE Document viewer library, the shared parts of %{name}.

%prep
%autosetup -p1

%build
# To fix overlinking issues needed:
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
    --with-pic                       \
    --disable-static                 \
    --disable-schemas-compile        \
    --enable-thumbnailer             \
    --enable-introspection           \
    --enable-gtk-doc                 \
    --enable-pdf                     \
    --enable-tiff                    \
    --enable-djvu                    \
    --enable-dvi                     \
    --enable-pixbuf                  \
    --enable-comics                  \
    --enable-t1lib=yes               \
%if %build_dvi
    --enable-dvi                     \
%endif
%if %build_epub
    --enable-epub                    \
%endif
    --enable-xps

%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

%find_lang %{name} --with-gnome --with-help --all-name

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%{_bindir}/atril
%{_bindir}/atril-previewer
%{_bindir}/atril-thumbnailer
%{_libexecdir}/atrild
%{_datadir}/appdata/atril.appdata.xml
%{_datadir}/applications/atril.desktop
%{_datadir}/%{name}/
%{_datadir}/caja/extensions/libatril-properties-page.caja-extension
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/thumbnailers/
%{_iconsdir}/hicolor/*/apps/atril*
%{_mandir}/man1/atril*
%dir %{_libdir}/%{name}/%{major}/
%dir %{_libdir}/%{name}/%{major}/backends
%{_libdir}/%{name}/%{major}/backends/libcomicsdocument.so
%{_libdir}/%{name}/%{major}/backends/libdjvudocument.so
%{_libdir}/%{name}/%{major}/backends/libepubdocument.so
%{_libdir}/%{name}/%{major}/backends/libpdfdocument.so
%{_libdir}/%{name}/%{major}/backends/libpixbufdocument.so
%{_libdir}/%{name}/%{major}/backends/libpsdocument.so
%{_libdir}/%{name}/%{major}/backends/libtiffdocument.so
%{_libdir}/%{name}/%{major}/backends/libxpsdocument.so
%{_libdir}/%{name}/%{major}/backends/comicsdocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/djvudocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/xpsdocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/pdfdocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/pixbufdocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/psdocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/tiffdocument.%{name}-backend
%{_libdir}/%{name}/%{major}/backends/epubdocument.%{name}-backend

# caja extensions
%{_libdir}/caja/extensions-2.0/libatril-properties-page.so

%if %{build_dvi}
%files dvi
%{_libdir}/atril/%{major}/backends/libdvidocument.so
%{_libdir}/atril/%{major}/backends/dvidocument.%{name}-backend
%endif

%files -n %{libname}
%{_libdir}/libatrildocument.so.%{major}{,.*}
%{_libdir}/libatrilview.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/AtrilDocument-%{api}.typelib
%{_libdir}/girepository-1.0/AtrilView-%{api}.typelib

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/atril
%doc %{_datadir}/gtk-doc/html/libatrildocument-%{api}
%doc %{_datadir}/gtk-doc/html/libatrilview-%{api}
%{_libdir}/libatrildocument.so
%{_libdir}/libatrilview.so
%{_libdir}/pkgconfig/atril*pc
%{_includedir}/atril*
%{_datadir}/gir-1.0/AtrilDocument-%{api}.gir
%{_datadir}/gir-1.0/AtrilView-%{api}.gir


%changelog
* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092602
- Update to 1.18.0 version
- Update to 1.17.1 version
- Update to 1.17.0 version

* Sun Dec 25 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077285
- new version 1.16.0
- build with gtk3
- move backends and caja extension to main pkg
- tag devel docs as such

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1.14.1-3.mga6
+ Revision: 1070607
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.14.1-2.mga6
+ Revision: 1046166
- test rebuild for poppler

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017861
- Update to 1.14.1 version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001513
- Update to 1.14.0 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979316
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950615
- Update to 1.13.0 version

* Fri Dec 18 2015 tarakbumba <tarakbumba> 1.12.2-1.mga6
+ Revision: 911775
- Update to 1.12.2 version

* Sun Dec 06 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908515
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899215
-Update to 1.12.0 version

* Tue Sep 01 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 871978
- new version 1.10.2

* Sun Jun 28 2015 wally <wally> 1.10.0-2.mga6
+ Revision: 847140
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839829
- Update to 1.10.0 version

* Thu Nov 20 2014 tarakbumba <tarakbumba> 1.8.1-3.mga5
+ Revision: 797955
- Add cherrypicked bugfix patches from upstream
- Bump rel

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 742213
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737446
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 678031
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600116
- Updated to version 1.8.0

* Mon Mar 03 2014 tarakbumba <tarakbumba> 1.7.90-5.mga5
+ Revision: 599128
- Require mate-desktop-schema package instead of mate-desktop package

* Sun Mar 02 2014 wally <wally> 1.7.90-4.mga5
+ Revision: 598620
- require mate-desktop for 'org.mate.lockdown' settings schema

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-3.mga5
+ Revision: 598429
- Fix obsoletes and provides for dvi extension and devel package

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 598362
- Fix obsoletes and provides tags

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598066
- imported package atril

